For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add a customer-contact to a customer

Required permissions: CUSTOMER,SALES_ORDER,RETURN_ORDER

post
/tenants/{tenantUid}/customer-contacts/{customerContactUid}/customers
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
Body
Responses
200

Example response

application/json
post/tenants/{tenantUid}/customer-contacts/{customerContactUid}/customers
POST /v2/tenants/{tenantUid}/customer-contacts/{customerContactUid}/customers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53

{
  "customers": [
    {
      "customerUid": "text",
      "role": "ADMIN"
    }
  ]
}
200

Example response

{
  "items": [
    {
      "customerUid": "text",
      "displayName": "text",
      "role": "ADMIN",
      "extensions": [
        {
          "extensionCode": "TWO_INVOICE",
          "organizationUid": "text"
        }
      ]
    }
  ]
}

Last updated

Was this helpful?